import { CommitInfo, GitEnricherInputs } from '../../../image-enricher-git-info/types';
import { GerritChange } from './types';
export declare class GerritApi {
    private inputs;
    constructor(inputs: GitEnricherInputs);
    getChange(repo: string): Promise<GerritChange | null>;
    getChanges(repo: string): Promise<GerritChange[]>;
    getCommitsInfo(repo: string, pr: GerritChange): Promise<CommitInfo | null>;
    private getAvatar;
    private sendRequest;
    private getChangeId;
}
//# sourceMappingURL=gerrit.api.d.ts.map