export declare enum Platform {
    CLASSIC = "CLASSIC",
    GITOPS = "GITOPS"
}
export type JiraEnricherInputs = {
    platform: Platform;
    cfHost?: string;
    cfApiKey?: string;
    imageName: string;
    projectName?: string;
    message?: string;
    jira?: {
        host?: string;
        authentication?: {
            basic?: {
                email?: string;
                apiToken?: string;
            };
            personalAccessToken?: string;
            context?: string;
        };
    };
    failOnNotFound?: string;
};
export type LinkCallback = (url: string) => Promise<void>;
//# sourceMappingURL=types.d.ts.map